Package org.apache.velocity.util

# Interface ContextAware

All Known Implementing Classes:
  `IncludeNotFound`

public interface ContextAware
Event handlers implementing this interface will automatically have the method setContext called before each event. This allows the event handler to use information in the latest context when responding to the event.

Important Note: Only local event handlers attached to the context (as opposed to global event handlers initialized in the velocity.properties file) should implement ContextAware. Since global event handlers are singletons individual requests will not be able to count on the correct context being loaded before a request.

Since:
  1.5
Version:
  $Id$
Author:
  Will Glass-Husain

## Method Summary

Modifier and Type
Method
Description
`void`
`setContext(Context context)`
Initialize the EventHandler.

## Method Details

### setContext

void setContext(Context context)
Initialize the EventHandler.

Parameters:
  `context` -